Subject: Re: DirectX support
From: [email-masked] (Matthew Moskewicz)

23 Jan 1997 21:47:31 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I)
Original-To: Dirk Vangestel <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Dirk Vangestel wrote:
> 
> Hi,
> 
> I'm looking to port a Unix application to Windows and I'd like to use
> DirectX to get direct access to the screen. Since the existing code relies
> heavily on the gcc compiler, I'd like to use the gnu-win32 tools.
> I don't think anyone has tried it yet (I'm new to gnu-win32 but I checked
> the archives) so I would appreciate some pointers on how to get it working.
> As far as I understand it, I will have to make some changes to the header
> files. But I'm not sure what is required... Do I only need to convert
> the DirectX headers? Or do I need to add some non-existing Win32 headers
> to gun-win32? Or can I use the standard Win32 headers instead of the gnu-win32
> headers? I do have VisualC++, so that shouldn't be a problem (as a temporary
> solution that is).
> I tried (briefly) to compile an example application but it complained about
> missing Win32 headers... I haven't tried adding the VisualC++ include path.
> Would that be enough to get it working?
> Also, can I just link the DirectX libraries with the gnu linker? I'd like
> to use only free tools since the project has to remain free. It's not really
> an option to have users buy VisualC++ just to recompile the application...
> (or I could have put the DirectX stuff in a separate source file and link
> the entire thing together with the MS linker. I don't like this option.)
> 
> Thanks,
> Dirk
> 
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".

I have tried it. Short answer: I never quite got it to work. 

If you're patient, I'm going to get back to work on it again soon, 
starting afresh with the DX3 SDK.

I'm planning to work without the win32 SDK headers, so that all 
that will be needed for DX is a pathched DX3 SDK. This might be
quite a pain, you might find things easier if you work with 
(rather than against) the win32 SDK headers.

In any case, you will need to build import libraries from the
directx dlls. I've seen several ways to do this posted. I have not
tried it, but RSXNT's makelib should get you pretty close. You'll 
still need to raid microsoft's .lib's or .h's to get the @(x*4) 
parts of the function names. It would be half-trivial to write a 
script that used makelib to grab the function name, then searched 
through the correct .lib to get the full function name.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".